> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Update shared timelapse group

> Update title, description, or expiration on a shared timelapse link



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/video/updateSharedTimelapseGroup
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/video/updateSharedTimelapseGroup:
    post:
      tags:
        - Video Webservice
      summary: Update shared timelapse group
      description: Update title, description, or expiration on a shared timelapse link
      operationId: updateSharedTimelapseGroup
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Video_UpdateSharedTimelapseGroupWSRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Video_UpdateSharedTimelapseGroupWSResponse
          description: OK
components:
  schemas:
    Video_UpdateSharedTimelapseGroupWSRequest:
      type: object
      description: Request object for updating a shared timelapse group.
      properties:
        description:
          type: string
          description: New description for the shared timelapse group
          example: Updated shared timelapse for security review
          nullable: true
        descriptionUpdate:
          type: boolean
          description: Whether to update the description
          example: true
          nullable: true
        expirationTimeSecs:
          type: integer
          format: int32
          description: New expiration time in seconds for the shared group
          example: 172800
          nullable: true
        expirationTimeUpdate:
          type: boolean
          description: Whether to update the expiration time
          example: false
          nullable: true
        passwordUpdate:
          type: boolean
          description: Whether to update the password
          example: false
          nullable: true
        plaintextPassword:
          type: string
          description: New plaintext password for the shared timelapse group
          example: newSecurePassword123
          nullable: true
        title:
          type: string
          description: New title for the shared timelapse group
          example: Updated Security Review
          nullable: true
        titleUpdate:
          type: boolean
          description: Whether to update the title
          example: true
          nullable: true
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    Video_UpdateSharedTimelapseGroupWSResponse:
      type: object
      description: Response object for updating a shared timelapse group.
      properties:
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        shareUrl:
          type: string
          description: Updated share URL for the timelapse group
          example: https://example.com/share/timelapse/12345
          nullable: true
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        warningMsg:
          type: string
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````